## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.9.0
%bcond_with check
%global debug_package %{nil}

# https://github.com/open-telemetry/opentelemetry-go
%global goipath         go.opentelemetry.io/otel
%global forgeurl        https://github.com/open-telemetry/opentelemetry-go
Version:                1.14.0

%gometa


%global common_description %{expand:
OpenTelemetry Go API and SDK.}

%global golicenses      LICENSE
%global godocs          example .markdownlint.yaml CONTRIBUTING.md README.md\\\
                        VERSIONING.md RELEASING.md\\\
                        schema/README.md bridge/opentracing/README.md\\\
                        bridge/opencensus/README.md exporters/README.md\\\
                        exporters/jaeger/README.md\\\
                        exporters/otlp/otlptrace/README.md\\\
                        website_docs/manual.md website_docs/api.md\\\
                        website_docs/_index.md website_docs/libraries.md\\\
                        website_docs/getting-started.md\\\
                        website_docs/examples.md website_docs/resources.md\\\
                        website_docs/exporters.md website_docs/sampling.md

Name:           %{goname}
Release:        %autorelease
Summary:        OpenTelemetry Go API and SDK

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}

BuildRequires:  golang(github.com/cenkalti/backoff/v4)
BuildRequires:  golang(github.com/go-logr/logr)
BuildRequires:  golang(github.com/go-logr/stdr)
BuildRequires:  golang(github.com/google/go-cmp/cmp)
BuildRequires:  golang(github.com/Masterminds/semver/v3)
BuildRequires:  golang(github.com/opentracing/opentracing-go)
BuildRequires:  golang(github.com/opentracing/opentracing-go/ext)
BuildRequires:  golang(github.com/opentracing/opentracing-go/log)
BuildRequires:  golang(github.com/openzipkin/zipkin-go/model)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus/promhttp)
BuildRequires:  golang(github.com/prometheus/client_model/go)
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/require)
BuildRequires:  golang(go.opencensus.io/metric)
BuildRequires:  golang(go.opencensus.io/metric/metricdata)
BuildRequires:  golang(go.opencensus.io/metric/metricexport)
BuildRequires:  golang(go.opencensus.io/metric/metricproducer)
BuildRequires:  golang(go.opencensus.io/stats)
BuildRequires:  golang(go.opencensus.io/stats/view)
BuildRequires:  golang(go.opencensus.io/tag)
BuildRequires:  golang(go.opencensus.io/trace)
BuildRequires:  golang(go.opentelemetry.io/proto/otlp/collector/metrics/v1)
BuildRequires:  golang(go.opentelemetry.io/proto/otlp/collector/trace/v1)
BuildRequires:  golang(go.opentelemetry.io/proto/otlp/common/v1)
BuildRequires:  golang(go.opentelemetry.io/proto/otlp/metrics/v1)
BuildRequires:  golang(go.opentelemetry.io/proto/otlp/resource/v1)
BuildRequires:  golang(go.opentelemetry.io/proto/otlp/trace/v1)
BuildRequires:  golang(golang.org/x/sys/unix)
BuildRequires:  golang(google.golang.org/genproto/googleapis/rpc/errdetails)
BuildRequires:  golang(google.golang.org/grpc)
BuildRequires:  golang(google.golang.org/grpc/backoff)
BuildRequires:  golang(google.golang.org/grpc/codes)
BuildRequires:  golang(google.golang.org/grpc/credentials)
BuildRequires:  golang(google.golang.org/grpc/credentials/insecure)
BuildRequires:  golang(google.golang.org/grpc/encoding/gzip)
BuildRequires:  golang(google.golang.org/grpc/metadata)
BuildRequires:  golang(google.golang.org/grpc/status)
BuildRequires:  golang(google.golang.org/protobuf/proto)
BuildRequires:  golang(gopkg.in/yaml.v2)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/go-logr/logr/testr)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus/testutil)
BuildRequires:  golang(github.com/stretchr/testify/mock)
BuildRequires:  golang(github.com/stretchr/testify/suite)
BuildRequires:  golang(go.opencensus.io/resource)
BuildRequires:  golang(go.opencensus.io/trace/tracestate)
BuildRequires:  golang(google.golang.org/protobuf/types/known/durationpb)
%endif

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Apr 28 2023 Sérgio M. Basto <sergio@serjux.com> - 1.14.0-2
- remove exclude

* Thu Apr 27 2023 Sérgio M. Basto <sergio@serjux.com> - 1.14.0-1
- opentelemetry-go-1.14.0

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Sep 25 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.10.0-1
- Update to 1.10.0

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> - 1.2.0-3
- Rebuild to fix FTBFS

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Feb 05 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.2.0-1
- Update to 1.2.0

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0~RC2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Aug 02 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0~RC2-2
- Update to 1.0.0~RC2 Close: rhbz#1963634, rhbz#1987556

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 21 13:27:47 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.15.0-1
- Initial package

